## org.gjt.sp.jedit
Class Buffer.TokenList

    java.lang.Object
      org.gjt.sp.jedit.syntax.DefaultTokenHandler
          org.gjt.sp.jedit.Buffer.TokenList

All Implemented Interfaces:
  TokenHandler

Enclosing class:
  Buffer

Deprecated. Use org.gjt.sp.jedit.syntax.DefaultTokenHandler instead

public static class Buffer.TokenList
extends DefaultTokenHandler

Field Summary

Fields inherited from class org.gjt.sp.jedit.syntax.DefaultTokenHandler
`firstToken, lastToken, lineContext`

Constructor Summary
`Buffer.TokenList()` Deprecated.

Method Summary
`Token` `getFirstToken()` Deprecated.

Methods inherited from class org.gjt.sp.jedit.syntax.DefaultTokenHandler
`addToken, createToken, getLineContext, getParserRuleSet, getTokens, handleToken, init, setLineContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Buffer.TokenList

    public Buffer.TokenList()

  Deprecated.

Method Detail

### getFirstToken

    public Token getFirstToken()

  Deprecated.